<style scoped lang="less">

</style>

<template>

  <app-view name="scanner" :show-loader="isFetching">

    <scanner-results />

  </app-view>

</template>

<script>

  import { ScannerActions, NAMESPACE } from 'Store/modules/scanner'
  import Loader                        from 'UI/components/loader/loader.vue'
  import ScannerResults                from 'UI/views/scanner/components/scanner-results.vue'
  import AppView                       from 'UI/components/view/app-view.vue'

  export default {
    name:       'scanner-view',
    components: { AppView, ScannerResults, Loader },
    computed:   {
      isFetching() {
        return this.$store.state.scanner.isFetching
      },
    },
    created() {
      this.$store.dispatch( `${ NAMESPACE }/${ ScannerActions.SCANNER_START }` )
    },
    beforeRouteEnter (to, from, next) {
      next(vm => {
        if (!vm.$store.state.scanner.hasInitialised) {
          vm.$router.replace('/')
        } else {
          next()
        }
      })
    }
  }

</script>
